From 63ad6a69e909564881da86e6d63caaaa129243de Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Fri, 8 Oct 2021 15:40:24 +0200
Subject: [PATCH 1/2] Replace <nobr> tags with CSS

The <nobr> tag is not allowed in <td> context, and is altogether
deprecated as well. Replace with a span and a CSS class instead.
---
 media/css/main.css               | 4 ++++
 templates/security/security.html | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/media/css/main.css b/media/css/main.css
index 9517ddf0..7b0609a4 100644
--- a/media/css/main.css
+++ b/media/css/main.css
@@ -1613,3 +1613,7 @@ table.sponsor-table tbody tr td:nth-child(3) {
   top: 8px;
   right: 8px;
 }
+
+.nobr {
+  white-space: nowrap;
+}
diff --git a/templates/security/security.html b/templates/security/security.html
index 13fcc169..afc2dadd 100644
--- a/templates/security/security.html
+++ b/templates/security/security.html
@@ -75,7 +75,7 @@ You can filter the view of patches to show just patches for version:<br/>
     {%for p in patches%}
       <tr>
         <td>
-          {%if p.cve%}<nobr><a href="/support/security/CVE-{{ p.cve }}/">CVE-{{p.cve}}</a></nobr><br/>{%endif%}
+          {%if p.cve%}<span class="nobr"><a href="/support/security/CVE-{{ p.cve }}/">CVE-{{p.cve}}</a></span><br/>{%endif%}
           {%if p.newspost%}<a href="/about/news/{{p.newspost.title|slugify}}-{{p.newspost.id}}/">Announcement</a><br/>{%endif%}
         </td>
         <td>{{p.affected|join:", "}}</td>
-- 
2.24.3 (Apple Git-128)

